<?php
///////////////////////////////////////////////////////////////////////////////////////
// PHPizabi 0.848b C1 [ALICIA]                               http://www.phpizabi.net //
///////////////////////////////////////////////////////////////////////////////////////
// Please read the license.txt file before using / modifying this software           //
// Original author:         Claude Desjardins, R - feedback@realitymedias.com        //
// Last modification date:  August 13th 2006                                         //
// Version:                 PHPizabi 0.848b C1                                       //
//                                                                                   //
// (C) 2005, 2006 Real!ty Medias / PHPizabi - All rights reserved                    //
///////////////////////////////////////////////////////////////////////////////////////

	/* Check Structure Availability */
	if (!defined("CORE_STRAP")) die("Out of structure call");
	/* Administrative restriction */
	(!me('is_administrator')&&!me('is_superadministrator')?die("Access restricted"):NULL);

	$tpl = new template;
	$tpl -> Load("levels");
	
	// LOAD HERITAGE DATA /////////////////////////////////////////////////////
	$heritage = unpk(file_get_contents($CONF["HERITAGE_INFOFILE"]));
	if (!is_array($heritage)) $heritage = array();


	// HANDLE HERITAGE CREATION ///////////////////////////////////////////////
	if (isset($_POST["Submit"], $_POST["name"]) && $_POST["name"] != "") {
		$heritage[rand(1000000, 9999999)] = array(
			"NAME" => $_POST["name"],
			"CONF" => array()
		);
		
		if ($handle = fopen($CONF["HERITAGE_INFOFILE"], "w")) {
			fwrite($handle, pk($heritage));
			fclose($handle);
		}
	}
	
	// HANDLE HERITAGE DELETION ///////////////////////////////////////////////
	if (isset($_GET["rm"]) && isset($heritage[$_GET["rm"]])) {

		unset($heritage[$_GET["rm"]]);
		
		if ($handle = fopen($CONF["HERITAGE_INFOFILE"], "w")) {
			fwrite($handle, pk($heritage));
			fclose($handle);
		}
	}
	

	// ASSIGN ARRAY ////////////////////////////////////////////////////////////
	foreach ($heritage as $key => $heritageArray) {
		
		$heritageReplacementArray[] = array(
			"heritage.id" => $key,
			"heritage.name" => $heritageArray["NAME"],
			"heritage.overrideCount" => count($heritageArray["CONF"])			
		);
	}
	
	if (isset($heritageReplacementArray)) $tpl -> Loop("heritageList", $heritageReplacementArray);

	$tpl -> AssignArray(array(
		"dbCount.total" => count($heritage)
	));
		

	
	// TEMPLATE REPROCESS & FLUSH ////////////////////////////////////////////////////
	$tpl -> CleanZones();

	/* Get the frame templates, flush the TPL result into it */
	$frame = new template;
	$frame -> Load("!theme/{$GLOBALS["THEME"]}/templates/admin/frame.tpl");
	$frame -> AssignArray(array(
		"jump" => $tpl->Flush(1)
	));
	
	/* Assign Location Value */
	$locationArray = explode(".", $_GET["L"]);
	for ($i=0; $i<count($locationArray); $i++) {
		$locationAppendResult[] = $locationArray[$i];
		if ($i > 0) $location[] = "<a href=\"?L=".implode(".", $locationAppendResult)."\">{$locationArray[$i]}</a>";
	}
	$frame -> AssignArray(array("location" => implode(" &raquo; ", $location)));
	
	/* Set the forced chromeless mode, flush the template */
	$GLOBALS["CHROMELESS_MODE"] = 1;
	$frame -> Flush();
	
?>